Package: kipi-plugins
Version: 0.1.6-1
Followup-For: Bug #505821

The Google-map still is not shown with 0.1.6-1 from experimental.
See upstream-bug https://bugs.kde.org/show_bug.cgi?id=175033

It's fixed in 0.1.7, which is in SVN only. See following patch.

--- a/kipi-plugins/gpssync/gpseditdialog.cpp    2008-03-16 14:16:30.000000000 
+0100
+++ b/kipi-plugins/gpssync/gpseditdialog.cpp    2008-12-16 09:44:37.000000000 
+0100
@@ -241,8 +241,14 @@ void GPSEditDialog::readSettings()
     config.setGroup("GPS Sync Settings");
     resize(configDialogSize(config, QString("GPS Edit Dialog")));
 
+    QString mapType = config.readEntry("Map Type", QString("G_NORMAL_MAP"));
+
+    if (mapType == QString("G_SATELLITE_TYPE"))   mapType = 
QString("G_SATELLITE_MAP");
+    else if (mapType == QString("G_MAP_TYPE"))    mapType = 
QString("G_NORMAL_MAP");
+    else if (mapType == QString("G_HYBRID_TYPE")) mapType = 
QString("G_HYBRID_MAP");
+
+    d->worldMap->setMapType(mapType);
     d->worldMap->setZoomLevel(config.readNumEntry("Zoom Level", 8));
-    d->worldMap->setMapType(config.readEntry("Map Type", 
QString("G_MAP_TYPE")));
 
     d->altitudeInput->blockSignals(true);
     d->latitudeInput->blockSignals(true);
--- a/kipi-plugins/gpssync/gpsmapwidget.cpp     2008-03-16 14:16:30.000000000 
+0100
+++ b/kipi-plugins/gpssync/gpsmapwidget.cpp     2008-12-16 09:44:37.000000000 
+0100
@@ -152,7 +152,7 @@ void GPSMapWidget::khtmlMouseReleaseEven
     }
 
     // If a new map type have been selected, the Status
-    // string is like : "newMapType:G_SATELLITE_TYPE"
+    // string is like : "newMapType:G_SATELLITE_MAP"
     if (status.startsWith(QString("newMapType:")))
     {
         status.remove(0, 11);

After adding the patch as debian/patches/60_gpssync-api.diff to 0.1.5-4,
re-compiling it as 0.1.5-4.0pmhahn1, installing it using "dpkg -i", the
map gets shown again, so I confirm that this patch actually fixes the
bug.
Please build a new package for lenny!

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kipi-plugins depends on:
ii  kdelibs4c2a      4:3.5.10.dfsg.1-0lenny1 core libraries and binaries for al
ii  libc6            2.7-16                  GNU C Library: Shared libraries
ii  libgcc1          1:4.3.2-1               GCC support library
ii  libgl1-mesa-glx  7.0.3-6                 A free implementation of the OpenG
ii  libglib2.0-0     2.16.6-1                The GLib library of C routines
ii  libgphoto2-2     2.4.1-3                 gphoto2 digital camera library
ii  libgphoto2-port0 2.4.1-3                 gphoto2 digital camera port librar
ii  libgpod3-nogtk   0.6.0-6                 library to read and write songs to
ii  libjpeg62        6b-14                   The Independent JPEG Group's JPEG 
ii  libkcal2b        4:3.5.9-5               KDE calendaring library
ii  libkdcraw3       0.1.4-2                 Raw picture decoding C++ library (
ii  libkexiv2-3      0.1.7-1+b1              Qt like interface for the libexiv2
ii  libkipi0         0.1.6-2                 library for apps that want to use 
ii  libpng12-0       1.2.27-2                PNG library - runtime
ii  libqt3-mt        3:3.3.8b-5              Qt GUI Library (Threaded runtime v
ii  libstdc++6       4.3.2-1                 The GNU Standard C++ Library v3
ii  libtiff4         3.8.2-11                Tag Image File Format (TIFF) libra
ii  libx11-6         2:1.1.5-2               X11 client-side library
ii  libxml2          2.6.32.dfsg-5           GNOME XML library
ii  libxrandr2       2:1.2.3-1               X11 RandR extension library
ii  libxslt1.1       1.1.24-2                XSLT processing library - runtime 

Versions of packages kipi-plugins recommends:
ii  imagemagick   7:6.3.7.9.dfsg1-2.1+lenny1 image manipulation programs
ii  kdeprint      4:3.5.9.dfsg.1-5           print system for KDE
ii  konqueror     4:3.5.9.dfsg.1-5           KDE's advanced file manager, web b

Versions of packages kipi-plugins suggests:
pn  gallery                       <none>     (no description available)
ii  gimp                          2.4.7-1    The GNU Image Manipulation Program
ii  k3b                           1.0.5-3    A sophisticated KDE CD burning app
pn  kipi-plugins-doc              <none>     (no description available)
ii  kmail                         4:3.5.9-5  KDE Email client
ii  kooka                         4:3.5.9-3  scanner program for KDE
ii  mpg123                        1.4.3-4    MPEG layer 1/2/3 audio player
ii  sane-utils                    1.0.19-22  API library for scanners -- utilit
ii  vorbis-tools                  1.2.0-5    several Ogg Vorbis tools

-- no debconf information



_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to